cancel
Showing results for 
Search instead for 
Did you mean: 

ePO Patch 4 to Patch 6 - 'You are attempting to upgrade from a product version that is not supported'

Morning all,

I wonder if anyone has any recommendations before I contact McAfee with this one; We have an ePO 4.0 P4 install that's ticking along fine. When attempting to upgrade to P6, setup aborts with the message 'You are attempting to upgrade from a product version that is not supported'

EPO400-Error.Ini in %Temp%\NAILogs

[ErrorLog]
ErrorString=FAILURE: Incompatible product detected so stop the install.

I've already found KB65548 (https://kc.mcafee.com/corporate/index?page=content&id=KB65548) but the registry entries look fine

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{AF05AA5C-1B53-45DE-9FFD-8F37F329A4BC}]
"DatabaseServer"="MONITOR28"
"DatabaseInstancename"="EPOSERVER"
"DatabasePort"="1902"
"TomcatPort"="8080"
"AgentPort"="82"
"AgentWakeupPort"="8081"
"AgentBroadcastPort"="8082"
"DisplayName"="McAfee ePolicy Orchestrator"
"TomcatSecurePort"="8443"
"TomcatAuthPort"="18444"
"AuthorizedCDFPrefix"=""
"Comments"=""
"Contact"=""
"DisplayVersion"="4.0.0"
"HelpLink"=""
"HelpTelephone"=""
"InstallDate"="20090311"
"InstallLocation"=""
"InstallSource"="C:\\ePO400P4\\"
"NoModify"=dword:00000001
"NoRemove"=dword:00000001
"NoRepair"=dword:00000001
"Publisher"="McAfee, Inc."
"Readme"=""
"Size"=""
"EstimatedSize"=dword:00051a0c
"SystemComponent"=dword:00000001
"URLInfoAbout"="http://www.McAfee.com"
"URLUpdateInfo"=""
"VersionMajor"=dword:00000004
"VersionMinor"=dword:00000000
"WindowsInstaller"=dword:00000001
"Version"=dword:04000000
"Language"=dword:00000000
"EventParserPort"="18445"

Anyone have any suggestions?

4 Replies

Re: ePO Patch 4 to Patch 6 - 'You are attempting to upgrade from a product version that is not supported'

Hi ksanderson, you should first change the ""TomcatAuthPort"="18444" to "8444" as in the KB this port is wrong and see if it works.

Re: ePO Patch 4 to Patch 6 - 'You are attempting to upgrade from a product version that is not supported'

Thanks for that ulyses31, I've reset the port and I'm afriad it's made no difference to the upgrade.

Re: ePO Patch 4 to Patch 6 - 'You are attempting to upgrade from a product version that is not supported'

The database port in the registry is 1902, can you see if you are really using this port?


You can see the port that epo is using at ..\Program Files\McAfee\ePolicy Orchestrator\Server\conf\orion\  contains\db.properties

Then open your SQL Server Configuration Manager and look for the SQL Server 2005 Network Configuration->Protocols for ePO server->TCP/IP->IAdresses->IP to see if it's the same port

Re: ePO Patch 4 to Patch 6 - 'You are attempting to upgrade from a product version that is not supported'

Thanks again for the swift response. I can't recall why, but yes the sql server is configured at port 1902, this setting is correct.